<bugID>1114681<Summary>Import runtime app as local project</Summary><Description>It would help hacking core apps, or you phone, if we could pull any app installed on the phone and start working on it right away in WebIDE.
It is overlapping recent suggestion from kgrandon like bug 1045073 comment 6, but it is more generic. The main drawback of pulling sources from the device is that this isn't the original app sources, so that it will be harder to contribute back to the original project by providing a patch agains the source tree. It is more for hacking than contributing.</Description></bugID>